Add a Project Member - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Add a Project Member
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/addprojectmember \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"userId": "<string>"
}
'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/addprojectmember"
payload = { "userId": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (fetch)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>'})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/addprojectmember', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/addprojectmember",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/addprojectmember"
payload := strings.NewReader("{\n \"userId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java (Unirest)
HttpResponse<String> response = Unirest.post("https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/addprojectmember")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"userId\": \"<string>\"\n}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/addprojectmember")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body
Response
- 204: Project member was added.
Error Responses
- 400: Bad Request - Validation failed. Missing payload.
- 401: Unauthorized - Invalid API Key.
- 402: Payment Required - Validation failed. Missing payload.
- 403: Forbidden - Insufficient permissions.
- 404: Not Found - Specified project not found.
- 500: Internal Server Error - An error occurred on the server side.
Authorizations
| Name | Type | Location |
|---|---|---|
| X-API-Key | APIKey | Header |
Headers
- Accept: Specifies the media type that the client expects in the response. Available options:
application/json,application/hal+json,application/xml,text/xml,text/csv. Default isapplication/json.
Path Parameters
- projectId: The unique identifier for the Project. Required string length:
24, Pattern:^[a-z0-9]{24}$.
Body
- userId: Required. The user ID as a string. Required string length:
24, Pattern:^[a-z0-9]{24}$.
Last modified on July 8, 2026.